            #GIT_CMT=eb5edaa9726243ee5f693f32510a43aa0ffaeff7
# -*- rpm-spec -*-

# This spec file assumes you are building on a Fedora or RHEL version
# that's still supported by the vendor. It may work on other distros
# or versions, but no effort will be made to ensure that going forward
%define min_rhel 8
%define min_fedora 33

%if (0%{?fedora} && 0%{?fedora} >= %{min_fedora}) || (0%{?rhel} && 0%{?rhel} >= %{min_rhel})
    %define supported_platform 1
%else
    %define supported_platform 0
%endif

Summary: The libvirt virtualization API python3 binding
Name: libvirt-python
Version: 9.0.0
Release:    5.el9
Epoch: 30
Source0: libvirt-python-9.0.0.tar.bz2
Url: http://libvirt.org
License: LGPLv2+
BuildRequires: libvirt-devel >= 9.0.0-1
BuildRequires: python3-devel
BuildRequires: python3-lxml
BuildRequires: gcc

# Don't want provides for python shared objects
%{?filter_provides_in: %filter_provides_in %{python3_sitearch}/.*\.so}
%{?filter_setup}

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python3-libvirt
Summary: The libvirt virtualization API python3 binding
Url: http://libvirt.org
License: LGPLv2+
%{?python_provide:%python_provide python3-libvirt}
Provides: libvirt-python3 = %{version}-%{release}
Obsoletes: libvirt-python3 <= 3.6.0-1%{?dist}

%description -n python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%setup -q

# Unset execute bit for example scripts; it can introduce spurious
# RPM dependencies, like /usr/bin/python3
# for the -python3 package
find examples -type f -exec chmod 0644 \{\} \;

%build
%if ! %{supported_platform}
echo "This RPM requires either Fedora >= %{min_fedora} or RHEL >= %{min_rhel}"
exit 1
%endif

%if 0%{?fedora} || 0%{?rhel} >= 8
%py3_build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
%endif

%install
%if 0%{?fedora} || 0%{?rhel} >= 8
%py3_install
%else
%{__python3} setup.py install --skip-build --root=%{buildroot}
%endif

%check
# libvirt-python 7.9.0 requires a newer version of Python's pytest module
# than the version that's delivered as OL8's python3-pytest package, so we
# skip testing.
# %{__python3} setup.py test

%files -n python3-libvirt
%doc README COPYING COPYING.LESSER examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info

%changelog
* Thu Mar 7 2024 Karl Heubaum <karl.heubaum@oracle.com> - 9.0.0-5.el9
- Update to libvirt 9.0.0-5 (Karl Heubaum)

* Fri Oct 27 2023 Karl Heubaum <karl.heubaum@oracle.com> - 9.0.0-4.el9
- Update to libvirt 9.0.0-4 (Karl Heubaum)

* Fri Aug 18 2023 Karl Heubaum <karl.heubaum@oracle.com> - 9.0.0-3.el9
- Update to libvirt 9.0.0-3 (Karl Heubaum)

* Thu Jul 13 2023 Karl Heubaum <karl.heubaum@oracle.com> - 9.0.0-2.el9
- Update to libvirt 9.0.0-2 (Karl Heubaum)

* Tue Jan 31 2023 Karl Heubaum <karl.heubaum@oracle.com> - 9.0.0-1.el9
- Update to libvirt 9.0.0-1 (Karl Heubaum)
